package org.cs.mgr.user.service;

import java.util.List;
import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

import org.cs.mgr.user.model.MgmMessage;

/**
 * 
 * @ClassName: IMgmMessageService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:56
 */
public interface IMgmMessageService extends IBaseService<MgmMessage> {

	Pager getMgmMessages(Pager page);

	boolean delMgmMessage(Integer id);
	
	boolean addMgmMessage(MgmMessage mgmMessage);
	
	boolean updateMgmMessage(MgmMessage mgmMessage);
	
	Pager getMgmMessageList(Map<String,String> map);
	
	List<MgmMessage> getMgmMessageList(String userId);
	
	int countMgmMessage(String userId);
	
	JSONObject updateMgmMessageState(String id);
}
